<%@taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>Edit Customer</title>
</head>
<f:view>
    <h:messages style="color: green" layout="table"/>
    <h1>Edit customer</h1>
    <h:form>
        <h:panelGrid columns="2">
            <h:outputText>CustomerId:</h:outputText>
            <h:inputText id="customerId" value="#{customer.customer.customerId}" title="CustomerId" />
            <h:outputText>Zip:</h:outputText>
            <h:inputText id="zip" value="#{customer.customer.zip}" title="Zip" />
            <h:outputText>Name:</h:outputText>
            <h:inputText id="name" value="#{customer.customer.name}" title="Name" />
            <h:outputText>Addressline1:</h:outputText>
            <h:inputText id="addressline1" value="#{customer.customer.addressline1}" title="Addressline1" />
            <h:outputText>Addressline2:</h:outputText>
            <h:inputText id="addressline2" value="#{customer.customer.addressline2}" title="Addressline2" />
            <h:outputText>City:</h:outputText>
            <h:inputText id="city" value="#{customer.customer.city}" title="City" />
            <h:outputText>State:</h:outputText>
            <h:inputText id="state" value="#{customer.customer.state}" title="State" />
            <h:outputText>Phone:</h:outputText>
            <h:inputText id="phone" value="#{customer.customer.phone}" title="Phone" />
            <h:outputText>Fax:</h:outputText>
            <h:inputText id="fax" value="#{customer.customer.fax}" title="Fax" />
            <h:outputText>Email:</h:outputText>
            <h:inputText id="email" value="#{customer.customer.email}" title="Email" />
            <h:outputText>CreditLimit:</h:outputText>
            <h:inputText id="creditLimit" value="#{customer.customer.creditLimit}" title="CreditLimit" />
            <h:outputText>DiscountCode:</h:outputText>
            <h:selectOneMenu id="discountCode" value="#{customer.customer.discountCode}" title="DiscountCode">
                <f:selectItems value="#{customer.discountCodes}"/>
            </h:selectOneMenu>
        </h:panelGrid>
        <h:commandButton action="#{customer.edit}" value="Edit"/>
        <h:commandLink action="customer_list" value="Show All Customer"/>
    </h:form>
</f:view>
