<%@taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>Detail of Manufacture</title>
</head>
<f:view>
    <h:messages style="color: green" layout="table"/>
    <h1>Detail of manufacture</h1>
    <h:form>
        <h:panelGrid columns="2">
            <h:outputText>ManufactureId:</h:outputText>
            <h:outputText value="#{manufacture.manufacture.manufactureId}" title="ManufactureId" />
            <h:outputText>Name:</h:outputText>
            <h:outputText value="#{manufacture.manufacture.name}" title="Name" />
            <h:outputText>Addressline1:</h:outputText>
            <h:outputText value="#{manufacture.manufacture.addressline1}" title="Addressline1" />
            <h:outputText>Addressline2:</h:outputText>
            <h:outputText value="#{manufacture.manufacture.addressline2}" title="Addressline2" />
            <h:outputText>City:</h:outputText>
            <h:outputText value="#{manufacture.manufacture.city}" title="City" />
            <h:outputText>State:</h:outputText>
            <h:outputText value="#{manufacture.manufacture.state}" title="State" />
            <h:outputText>Zip:</h:outputText>
            <h:outputText value="#{manufacture.manufacture.zip}" title="Zip" />
            <h:outputText>Phone:</h:outputText>
            <h:outputText value="#{manufacture.manufacture.phone}" title="Phone" />
            <h:outputText>Fax:</h:outputText>
            <h:outputText value="#{manufacture.manufacture.fax}" title="Fax" />
            <h:outputText>Email:</h:outputText>
            <h:outputText value="#{manufacture.manufacture.email}" title="Email" />
            <h:outputText>Rep:</h:outputText>
            <h:outputText value="#{manufacture.manufacture.rep}" title="Rep" />
        </h:panelGrid>
        <h:dataTable value="#{manufacture.manufacture.product}" var="item" border="1" cellpadding="2" cellspacing="0">
            <h:column>
                <f:facet name="header">
                    <h:outputText value="ProductId"/>
                </f:facet>
                <h:outputText value="#{item.productId}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="PurchaseCost"/>
                </f:facet>
                <h:outputText value="#{item.purchaseCost}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="QuantityOnHand"/>
                </f:facet>
                <h:outputText value="#{item.quantityOnHand}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="Markup"/>
                </f:facet>
                <h:outputText value="#{item.markup}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="Available"/>
                </f:facet>
                <h:outputText value="#{item.available}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="Description"/>
                </f:facet>
                <h:outputText value="#{item.description}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="ManufactureId"/>
                </f:facet>
                <h:outputText value="#{item.manufactureId}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="ProductCode"/>
                </f:facet>
                <h:outputText value="#{item.productCode}"/>
            </h:column>
        </h:dataTable>
        <h:commandLink action="#{manufacture.editSetup}">
            <f:param name="manufactureId" value="#{manufacture.manufacture.manufactureId}"/>
            <h:outputText value="Edit"/>
        </h:commandLink>
        <h:commandLink action="manufacture_list" value="Show All Manufacture"/>
    </h:form>
</f:view>
