<%@taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>Detail of Orders</title>
</head>
<f:view>
    <h:messages style="color: green" layout="table"/>
    <h1>Detail of orders</h1>
    <h:form>
        <h:panelGrid columns="2">
            <h:outputText>OrderNum:</h:outputText>
            <h:outputText value="#{orders.orders.orderNum}" title="OrderNum" />
            <h:outputText>Quantity:</h:outputText>
            <h:outputText value="#{orders.orders.quantity}" title="Quantity" />
            <h:outputText>ShippingCost:</h:outputText>
            <h:outputText value="#{orders.orders.shippingCost}" title="ShippingCost" />
            <h:outputText>SalesDate:</h:outputText>
            <h:outputText value="#{orders.orders.salesDate}" title="SalesDate" />
            <h:outputText>ShippingDate:</h:outputText>
            <h:outputText value="#{orders.orders.shippingDate}" title="ShippingDate" />
            <h:outputText>FreightCompany:</h:outputText>
            <h:outputText value="#{orders.orders.freightCompany}" title="FreightCompany" />
            <h:outputText>CustomerId:</h:outputText>
            <h:outputText value="#{orders.orders.customerId}" title="CustomerId" />
            <h:outputText>ProductId:</h:outputText>
            <h:outputText value="#{orders.orders.productId}" title="ProductId" />
        </h:panelGrid>
        <h:commandLink action="#{orders.editSetup}">
            <f:param name="orderNum" value="#{orders.orders.orderNum}"/>
            <h:outputText value="Edit"/>
        </h:commandLink>
        <h:commandLink action="orders_list" value="Show All Orders"/>
    </h:form>
</f:view>
