<%@taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>Edit Product</title>
</head>
<f:view>
    <h:messages style="color: green" layout="table"/>
    <h1>Edit product</h1>
    <h:form>
        <h:panelGrid columns="2">
            <h:outputText>ProductId:</h:outputText>
            <h:inputText id="productId" value="#{product.product.productId}" title="ProductId" />
            <h:outputText>PurchaseCost:</h:outputText>
            <h:inputText id="purchaseCost" value="#{product.product.purchaseCost}" title="PurchaseCost" />
            <h:outputText>QuantityOnHand:</h:outputText>
            <h:inputText id="quantityOnHand" value="#{product.product.quantityOnHand}" title="QuantityOnHand" />
            <h:outputText>Markup:</h:outputText>
            <h:inputText id="markup" value="#{product.product.markup}" title="Markup" />
            <h:outputText>Available:</h:outputText>
            <h:inputText id="available" value="#{product.product.available}" title="Available" />
            <h:outputText>Description:</h:outputText>
            <h:inputText id="description" value="#{product.product.description}" title="Description" />
            <h:outputText>ManufactureId:</h:outputText>
            <h:selectOneMenu id="manufactureId" value="#{product.product.manufactureId}" title="ManufactureId">
                <f:selectItems value="#{product.manufactureIds}"/>
            </h:selectOneMenu>
            <h:outputText>ProductCode:</h:outputText>
            <h:selectOneMenu id="productCode" value="#{product.product.productCode}" title="ProductCode">
                <f:selectItems value="#{product.productCodes}"/>
            </h:selectOneMenu>
        </h:panelGrid>
        <h:commandButton action="#{product.edit}" value="Edit"/>
        <h:commandLink action="product_list" value="Show All Product"/>
    </h:form>
</f:view>
