<%@taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>Detail of ProductCode</title>
</head>
<f:view>
    <h:messages style="color: green" layout="table"/>
    <h1>Detail of productCode</h1>
    <h:form>
        <h:panelGrid columns="2">
            <h:outputText>ProdCode:</h:outputText>
            <h:outputText value="#{productCode.productCode.prodCode}" title="ProdCode" />
            <h:outputText>DiscountCode:</h:outputText>
            <h:outputText value="#{productCode.productCode.discountCode}" title="DiscountCode" />
            <h:outputText>Description:</h:outputText>
            <h:outputText value="#{productCode.productCode.description}" title="Description" />
        </h:panelGrid>
        <h:dataTable value="#{productCode.productCode.product}" var="item" border="1" cellpadding="2" cellspacing="0">
            <h:column>
                <f:facet name="header">
                    <h:outputText value="ProductId"/>
                </f:facet>
                <h:outputText value="#{item.productId}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="PurchaseCost"/>
                </f:facet>
                <h:outputText value="#{item.purchaseCost}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="QuantityOnHand"/>
                </f:facet>
                <h:outputText value="#{item.quantityOnHand}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="Markup"/>
                </f:facet>
                <h:outputText value="#{item.markup}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="Available"/>
                </f:facet>
                <h:outputText value="#{item.available}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="Description"/>
                </f:facet>
                <h:outputText value="#{item.description}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="ManufactureId"/>
                </f:facet>
                <h:outputText value="#{item.manufactureId}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="ProductCode"/>
                </f:facet>
                <h:outputText value="#{item.productCode}"/>
            </h:column>
        </h:dataTable>
        <h:commandLink action="#{productCode.editSetup}">
            <f:param name="prodCode" value="#{productCode.productCode.prodCode}"/>
            <h:outputText value="Edit"/>
        </h:commandLink>
        <h:commandLink action="productCode_list" value="Show All ProductCode"/>
    </h:form>
</f:view>
