<%@taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>List DiscountCode</title>
</head>
<f:view>
    <h:messages style="color: green" layout="table"/>
    <h1>Listing DiscountCodes</h1>
    <h:form>
        <h:dataTable value='#{discountCode.discountCodes}' var='item' border="1" cellpadding="2" cellspacing="0">
            <h:column>
                <f:facet name="header">
                    <h:outputText value="DiscountCode"/>
                </f:facet>
                <h:commandLink action="#{discountCode.detailSetup}">
                    <f:param name="discountCode" value="#{item.discountCode}"/>
                    <h:outputText value="#{item.discountCode}"/>
                </h:commandLink>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="Rate"/>
                </f:facet>
                <h:outputText value="#{item.rate}"/>
            </h:column>
            <h:column>
                <h:commandLink action="#{discountCode.destroy}" onclick="return confirm('Are you sure?');">
                    <f:param name="discountCode" value="#{item.discountCode}"/>
                    <h:outputText value='Destroy'/>
                </h:commandLink>
                <h:outputText value=" "/>
                <h:commandLink action="#{discountCode.editSetup}">
                    <f:param name="discountCode" value="#{item.discountCode}"/>
                    <h:outputText value='Edit'/>
                </h:commandLink>
            </h:column>
        </h:dataTable>
        <h:commandLink action="#{discountCode.createSetup}">
            <h:outputText value="New DiscountCode"/>
        </h:commandLink>
    </h:form>
</f:view>