<%@taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>New Orders</title>
</head>
<f:view>
    <h:messages style="color: green" layout="table"/>
    <h1>New orders</h1>
    <h:form>
        <h:panelGrid columns="2">
            <h:outputText>OrderNum:</h:outputText>
            <h:inputText id="orderNum" value="#{orders.orders.orderNum}" title="OrderNum" />
            <h:outputText>Quantity:</h:outputText>
            <h:inputText id="quantity" value="#{orders.orders.quantity}" title="Quantity" />
            <h:outputText>ShippingCost:</h:outputText>
            <h:inputText id="shippingCost" value="#{orders.orders.shippingCost}" title="ShippingCost" />
            <h:outputText>SalesDate (MM/dd/yyyy):</h:outputText>
            <h:inputText id="salesDate" value="#{orders.orders.salesDate}" title="SalesDate" >
                <f:convertDateTime type="DATE" pattern="MM/dd/yyyy" />
            </h:inputText>
            <h:outputText>ShippingDate (MM/dd/yyyy):</h:outputText>
            <h:inputText id="shippingDate" value="#{orders.orders.shippingDate}" title="ShippingDate" >
                <f:convertDateTime type="DATE" pattern="MM/dd/yyyy" />
            </h:inputText>
            <h:outputText>FreightCompany:</h:outputText>
            <h:inputText id="freightCompany" value="#{orders.orders.freightCompany}" title="FreightCompany" />
            <h:outputText>CustomerId:</h:outputText>
            <h:selectOneMenu id="customerId" value="#{orders.orders.customerId}" title="CustomerId">
                <f:selectItems value="#{orders.customerIds}"/>
            </h:selectOneMenu>
            <h:outputText>ProductId:</h:outputText>
            <h:selectOneMenu id="productId" value="#{orders.orders.productId}" title="ProductId">
                <f:selectItems value="#{orders.productIds}"/>
            </h:selectOneMenu>
        </h:panelGrid>
        <h:commandButton action="#{orders.create}" value="Create"/>
        <h:commandLink action="orders_list" value="Show All Orders"/>
    </h:form>
</f:view>
