<%@taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>List ProductCode</title>
</head>
<f:view>
    <h:messages style="color: green" layout="table"/>
    <h1>Listing ProductCodes</h1>
    <h:form>
        <h:dataTable value='#{productCode.productCodes}' var='item' border="1" cellpadding="2" cellspacing="0">
            <h:column>
                <f:facet name="header">
                    <h:outputText value="ProdCode"/>
                </f:facet>
                <h:commandLink action="#{productCode.detailSetup}">
                    <f:param name="prodCode" value="#{item.prodCode}"/>
                    <h:outputText value="#{item.prodCode}"/>
                </h:commandLink>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="DiscountCode"/>
                </f:facet>
                <h:outputText value="#{item.discountCode}"/>
            </h:column>
            <h:column>
                <f:facet name="header">
                    <h:outputText value="Description"/>
                </f:facet>
                <h:outputText value="#{item.description}"/>
            </h:column>
            <h:column>
                <h:commandLink action="#{productCode.destroy}" onclick="return confirm('Are you sure?');">
                    <f:param name="prodCode" value="#{item.prodCode}"/>
                    <h:outputText value='Destroy'/>
                </h:commandLink>
                <h:outputText value=" "/>
                <h:commandLink action="#{productCode.editSetup}">
                    <f:param name="prodCode" value="#{item.prodCode}"/>
                    <h:outputText value='Edit'/>
                </h:commandLink>
            </h:column>
        </h:dataTable>
        <h:commandLink action="#{productCode.createSetup}">
            <h:outputText value="New ProductCode"/>
        </h:commandLink>
    </h:form>
</f:view>