/*
 * MicroMarkets.java
 *
 * Created on March 31, 2006, 12:07 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package foo;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

/**
 *
 * @author ludo
 */
@Entity
@Table(name = "MICRO_MARKETS")
@NamedQueries( {@NamedQuery(name = "MicroMarkets.findByZipCode", query = "SELECT m FROM MicroMarkets m WHERE m.zipCode = :zipCode"), @NamedQuery(name = "MicroMarkets.findByRadius", query = "SELECT m FROM MicroMarkets m WHERE m.radius = :radius"), @NamedQuery(name = "MicroMarkets.findByAreaLength", query = "SELECT m FROM MicroMarkets m WHERE m.areaLength = :areaLength"), @NamedQuery(name = "MicroMarkets.findByAreaWidth", query = "SELECT m FROM MicroMarkets m WHERE m.areaWidth = :areaWidth")})
public class MicroMarkets implements Serializable {

    @Id
    @Column(name = "ZIP_CODE", nullable = false)
    private String zipCode;

    @Column(name = "RADIUS")
    private Double radius;

    @Column(name = "AREA_LENGTH")
    private Double areaLength;

    @Column(name = "AREA_WIDTH")
    private Double areaWidth;
    
    /** Creates a new instance of MicroMarkets */
    public MicroMarkets() {
    }

    public MicroMarkets(String zipCode) {
        this.zipCode = zipCode;
    }

    public String getZipCode() {
        return this.zipCode;
    }

    public void setZipCode(String zipCode) {
        this.zipCode = zipCode;
    }

    public Double getRadius() {
        return this.radius;
    }

    public void setRadius(Double radius) {
        this.radius = radius;
    }

    public Double getAreaLength() {
        return this.areaLength;
    }

    public void setAreaLength(Double areaLength) {
        this.areaLength = areaLength;
    }

    public Double getAreaWidth() {
        return this.areaWidth;
    }

    public void setAreaWidth(Double areaWidth) {
        this.areaWidth = areaWidth;
    }

    public int hashCode() {
        int hash = 0;
        hash += (this.zipCode != null ? this.zipCode.hashCode() : 0);
        return hash;
    }

    public boolean equals(Object object) {
        if (object == null || !this.getClass().equals(object.getClass())) {
            return false;
        }
        MicroMarkets other = (MicroMarkets)object;
        if (this.zipCode != other.zipCode && (this.zipCode == null || !this.zipCode.equals(other.zipCode))) return false;
        return true;
    }

    public String toString() {
        //TODO change toString() implementation to return a better display name
        return "" + this.zipCode;
    }
    
}
